<template>
<div class="container-fluid bg-puffin">
  <div class="row pt-3 ml-3 text-white">
    <h1><font-awesome-icon icon="user-shield"/> ส่วนเจ้าหน้าที่ผู้เชี่ยวชาญ</h1>
  </div>
  <div class="row mt-4">
 <div class="col-md-6 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1">ข้อมูลผู้รับบริการ</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800"><span class="text-info"><font-awesome-icon icon="info-circle"/> สถานะผู้ใช้:</span> 
                            <span v-if="analyse_data.patient_status=='normal'" class="text-secondary">ปกติ</span>
                            <span v-else-if="analyse_data.patient_status=='mild'" class="text-success">ซึมเศร้าขั้นต้น</span>
                            <span v-else-if="analyse_data.patient_status=='moderate'" class="text-warning">ซึมเศร้าขั้นปานกลาง</span>
                            <span v-else-if="analyse_data.patient_status=='severe'" class="text-danger">ซึมเศร้าขั้นปลาย</span>
                            <span v-else class="text-secondary"><b-spinner small label="Small Spinner" variant="secondary"/> กำลังโหลด...</span>
                          </div>
                        </div>
                        <hr>
                        
                      </div>
                      
                    </div>
                    <div class="col-auto">
                      <b-button variant="primary" @click="updateCall()">ขออัปเดตข้อมูลผู้รับบริการ</b-button>
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                    
                  </div>
                  <div class="ml-4">
                  <div class="row">
                    <div class="col-md-11">
                      <table class="table table-borderless">
                          <tbody>
                          <tr>
                            <td align="right"><strong>ชื่อ-สกุล: </strong></td>&nbsp;<td align="left">มาโนช แสงจันทร์</td>
                          </tr>
                          <tr>
                            <td align="right"><strong>อายุ: </strong></td>&nbsp;<td align="left">16 ปี</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>โทร: </strong></td>&nbsp;<td align="left">08-888-8888</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>เบอร์โทรญาติ: </strong></td>&nbsp;<td align="left">08-888-8888</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>นอน: </strong></td>&nbsp;<td align="left">6 ชม./วัน</td>
                          </tr>
                          <tr>
                          <td align="right"><strong>ผลการทำแบบสอบถาม: </strong></td>&nbsp;<td align="left">เป็นโรคซึมเศร้ารุนแรง</td>
                          </tr>
                          </tbody>
                      </table>
                    </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col-md-12">
                        <p class="text-xs text-secondary font-weight-bold text-uppercase mb-1">รายชื่อผู้รับบริการ</p>
                        <b-table hover :items="items">
                          <template slot="urgency" slot-scope="row">
                            <b-badge v-if="row.item.urgency==='ฉุกเฉิน'" variant="danger">{{ row.item.urgency }}</b-badge>
                            <b-badge v-if="row.item.urgency==='สุ่มเสี่ยง'" variant="warning">{{ row.item.urgency }}</b-badge>
                            <b-badge v-if="row.item.urgency==='ปกติ'" variant="success">{{ row.item.urgency }}</b-badge>
                          </template>
                        </b-table>
                    </div>
                    
                  </div>
                  <div class="ml-4">
                  <div class="row">
                    
                    </div>
                  </div>
                </div>
              </div>
            </div>
  </div>

    <div class="row">
    <div class="col-md-4 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1"><font-awesome-icon icon="clock"/> เวลาที่มีการเคลื่อนไหว</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ analyse_data.active_time_avg }} นาที</div>
                          <br>
                          <div class="text-muted"><strong> 4 ความเคลื่อนไหวที่แล้ว</strong></div>
                          <div class="text-muted ml-2" v-for="active in analyse_data.active_time" :key="analyse_data.id">
                            <div v-if="active !== 0">{{ active }} นาที</div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <div class="col-md-4 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1"><font-awesome-icon icon="clock"/> เวลาที่อยู่ในความมืด</div>
                      <div class="row no-gutters align-items-center">
                        <div class="col-auto">
                          <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">{{ analyse_data.light_time_avg }} นาที</div>
                           <br>
                          <div class="text-muted"><strong> 4 ข้อมูลที่แล้ว</strong></div>
                          <div class="text-muted ml-2" v-for="active in analyse_data.light_time" :key="analyse_data.id">
                            <div v-if="active !== 0">{{ active }} นาที</div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-4 mb-4">
              <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                  <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                      <div class="text-xs text-secondary font-weight-bold text-uppercase mb-1"><span class="text-danger"><font-awesome-icon icon="exclamation-triangle"/> เหตุฉุกเฉิน</span></div>
                      <div class="row no-gutters align-items-center">
                        <div class="col">
                          <b-alert variant="danger" role="alert">
                            <strong v-if="analyse_data.emergency===1">เกิดเหตุฉุกเฉิน!</strong> 
                            <div v-else>
                              <p class="text-muted">ยังไม่เกิดเหตุฉุกเฉินใด ๆ กับผู้ใช้รายนี้</p>
                            </div>
                          </b-alert>
                          
                        </div>
                      </div>
                    </div>
                    <div class="col-auto">
                      <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
    </div>
</div>
</template>

<script>
export default {
  data() {
    return {
      analyse_data: {
        light_time: 2,
        active_time: 3,
        emergency: 0,
        request: 0,
        active_time: [
            9,
            8,
            1,
            7.899995
        ],
        active_time_avg: 25.89999,
        light_time: [
            14,
            543,
            20.90004,
            71.99947
        ],
        light_time_avg: 649.8995,
        patient_status: 'ระดับน้อย'
          },
          risk_percentage: 50,
          showEmergencyAlert: false,
          showLine: false,
           fields: {
          last_name: {
            label: 'นามสกุล',
            sortable: true
          },
          first_name: {
            label: 'ชื่อ',
            sortable: false
          },
          age: {
            key: 'age',
            label: 'อายุ',
            sortable: true
          },
          urgency: {
            key: 'urgency',
            label: 'ความเร่งด่วน',
            sortable: true
          }
        },
        items: [
          { age: 38, first_name: 'สมศักดิ์', last_name: 'ทะลุฟ้า', urgency: 'ฉุกเฉิน' },
          { age: 30, first_name: 'สมศรี', last_name: 'ทะลุฟ้า', urgency: 'ฉุกเฉิน' },
          { age: 44, first_name: 'อัครพร', last_name: 'ทะลุฟ้า', urgency: 'ปกติ' }
        ]
        }
        
  },
  methods: {
    callPatientToAction() {
      this.$axios.post('https://exceed.superposition.pknn.dev/data/ccat88', {
      })
    },
    async updateCall() {
      const { data } = await this.$axios.get('https://exceed.superposition.pknn.dev/data/ccat88')
      this.analyse_data = data
      this.analyse_data.request = 1
      await this.$axios.post('https://exceed.superposition.pknn.dev/data/ccat88', {
        data: this.analyse_data
      })
    }
    // ,
    // async get_data(){
    //   const{ data } = await this.$axios.get('get data from server url!!!!!!!!!!')
    //   const raw_data = data
    //   this.analyse_data = raw_data},
    // async post_data(){
    //   analyse_data.light_time = raw_data.light_time
    //   analyse_data.active_time = raw_data.active_time
    //   const { data } = await $axios.post('url page!!!!!!!!!!!!!',{
    //       data:this.analyse_data
    //   })
    // }
  },
  computed: {
    showAlert() {
      if (this.analyse_data.emergency===1) {
        this.showEmergencyAlert = true
      }
      return this.showEmergencyAlert
    }
  },
  mounted() {
    setInterval(async () => {
      const { data } = await this.$axios.get('https://exceed.superposition.pknn.dev/data/ccat88')
      this.analyse_data = data
      await this.$axios.post('/analyse/')
    }, 1000)
    this.showLine = true
  }
}
</script>

<style>

</style>
